dangling.hpp File Reference

## Classes

struct | ranges::dangling
| A placeholder for an iterator or a sentinel into a range that may no longer be valid. More...

## Typedefs

template<typename Rng >
using | ranges::borrowed_iterator_t = detail::maybe_dangling_< Rng, iterator_t< Rng > >
template<typename Rng >
using | ranges::safe_iterator_t = borrowed_iterator_t< Rng >
template<typename Rng >
using | ranges::cpp20::safe_iterator_t = borrowed_iterator_t< Rng >